CREATE TABLE cmp_stmt_templates (
    STMT_TEMPLATE_ID         NUMBER(18, 0),
    FILE_NAME                VARCHAR2(320)    NOT NULL,
    TEMPLATE_TYPE            VARCHAR2(40)     NOT NULL,
    GROUP_TYPE               VARCHAR2(40)     NOT NULL,
    BIP_TEMPLATE_NAME        VARCHAR2(320)    NOT NULL,
    SEEDED_FLAG              VARCHAR2(4)      NOT NULL,
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    TEMPLATE_FILE            BLOB         ,
    STMT_TEMPLATE_ID         NUMBER(18, 0),
    FILE_NAME                VARCHAR2(320)    NOT NULL,
    TEMPLATE_TYPE            VARCHAR2(40)     NOT NULL,
    GROUP_TYPE               VARCHAR2(40)     NOT NULL,
    BIP_TEMPLATE_NAME        VARCHAR2(320)    NOT NULL,
    SEEDED_FLAG              VARCHAR2(4)      NOT NULL,
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    TEMPLATE_FILE            BLOB         ,
    CONSTRAINT pk_cmp_stmt_templates PRIMARY KEY (STMT_TEMPLATE_ID, STMT_TEMPLATE_ID)
);
